package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglXf;
import com.mosty.base.model.entity.jcgl.TbJcglXfZg;
import com.mosty.base.model.query.jcgl.TbJcglXfQuery;
import com.mosty.base.model.query.jcgl.TbJcglXfZgQuery;

import java.util.List;

public interface TbJcglXfZgService {

    TbJcglXfZg queryById(String id);

    IPage<TbJcglXfZg> paginQuery(TbJcglXfZgQuery query);

    Integer insert(TbJcglXfZg xf);

    Integer update(TbJcglXfZg xf);

    Boolean deleteById(String id);

    Boolean deleteByIds(List<String> id);
}
